
/* 
 * Copyright (c) 1993-2005 LAAS/CNRS
 * All rights reserved.
 *
 * Redistribution and use  in source  and binary  forms,  with or without
 * modification, are permitted provided that the following conditions are
 * met:
 *
 *   1. Redistributions of  source  code must retain the  above copyright
 *      notice, this list of conditions and the following disclaimer.
 *   2. Redistributions in binary form must reproduce the above copyright
 *      notice,  this list of  conditions and the following disclaimer in
 *      the  documentation  and/or  other   materials provided  with  the
 *      distribution.
 *
 * THIS  SOFTWARE IS PROVIDED BY  THE  COPYRIGHT HOLDERS AND CONTRIBUTORS
 * "AS IS" AND  ANY  EXPRESS OR IMPLIED  WARRANTIES,  INCLUDING,  BUT NOT
 * LIMITED TO, THE IMPLIED WARRANTIES  OF MERCHANTABILITY AND FITNESS FOR
 * A PARTICULAR  PURPOSE ARE DISCLAIMED. IN  NO EVENT SHALL THE COPYRIGHT
 * HOLDERS OR      CONTRIBUTORS  BE LIABLE FOR   ANY    DIRECT, INDIRECT,
 * INCIDENTAL,  SPECIAL,  EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING,
 * BUT NOT LIMITED TO, PROCUREMENT OF  SUBSTITUTE GOODS OR SERVICES; LOSS
 * OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
 * ON ANY THEORY OF LIABILITY, WHETHER IN  CONTRACT, STRICT LIABILITY, OR
 * TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE
 * USE   OF THIS SOFTWARE, EVEN   IF ADVISED OF   THE POSSIBILITY OF SUCH
 * DAMAGE.
 */

/*------------------  Fichier gnr automatiquement ------------------*/
/*------------------  Ne pas diter manuellement !!! ------------------*/


#ifndef force_ERROR_H
#define force_ERROR_H

#include "h2errorLib.h"
#include "genom/genomError.h"

#define M_force    (2220)

/* -- MODULES ERRORS -------------------------------------------------- */

/* demo errors */
#define S_force_NotInitialized       H2_ENCODE_ERR(M_force     , 1)
#define S_force_NotAValidFilter      H2_ENCODE_ERR(M_force     , 2)
#define S_force_NotAPowerOfTwo       H2_ENCODE_ERR(M_force     , 3)
#define S_force_CANNOT_OPEN_FILE     H2_ENCODE_ERR(M_force     , 4)
#define S_force_FFTInitFailed        H2_ENCODE_ERR(M_force     , 5)
#define S_force_Jr3InitFailed        H2_ENCODE_ERR(M_force     , 6)
#define S_force_SensorError          H2_ENCODE_ERR(M_force     , 7)
#define S_force_FORCE_ERROR          H2_ENCODE_ERR(M_force     , 8)


/* std errors */
#define S_force_stdGenoM_ACTIVITY_INTERRUPTED       145548289   /* 2220<<16 | 0x8000 | 100<<8 | 1 */
#define S_force_stdGenoM_TOO_MANY_ACTIVITIES        145548290   /* 2220<<16 | 0x8000 | 100<<8 | 2 */
#define S_force_stdGenoM_ACTIVITY_FAILED            145548291   /* 2220<<16 | 0x8000 | 100<<8 | 3 */
#define S_force_stdGenoM_WAIT_ABORT_ZOMBIE_ACTIVITY 145548292   /* 2220<<16 | 0x8000 | 100<<8 | 4 */
#define S_force_stdGenoM_UNKNOWN_ACTIVITY           145548293   /* 2220<<16 | 0x8000 | 100<<8 | 5 */
#define S_force_stdGenoM_FORBIDDEN_ACTIVITY_TRANSITION 145548294   /* 2220<<16 | 0x8000 | 100<<8 | 6 */
#define S_force_stdGenoM_SYSTEM_ERROR               145548295   /* 2220<<16 | 0x8000 | 100<<8 | 7 */
#define S_force_stdGenoM_ACTIVITY_ALREADY_ENDED     145548296   /* 2220<<16 | 0x8000 | 100<<8 | 8 */
#define S_force_stdGenoM_WAIT_INIT_RQST             145548297   /* 2220<<16 | 0x8000 | 100<<8 | 9 */
#define S_force_stdGenoM_CONTROL_CODEL_ERROR        145548298   /* 2220<<16 | 0x8000 | 100<<8 | 10 */
#define S_force_stdGenoM_EXEC_TASK_SUSPENDED        145548299   /* 2220<<16 | 0x8000 | 100<<8 | 11 */
#define S_force_stdGenoM_BAD_BLOCK_TYPE             145548300   /* 2220<<16 | 0x8000 | 100<<8 | 12 */
#define S_force_stdGenoM_BAD_POSTER_TYPE            145548301   /* 2220<<16 | 0x8000 | 100<<8 | 13 */



/* static H2_ERROR[] */
#define FORCE_H2_ERR_MSGS {\
    {"NotInitialized", 1}, \
    {"NotAValidFilter", 2}, \
    {"NotAPowerOfTwo", 3}, \
    {"CANNOT_OPEN_FILE", 4},\
    {"FFTInitFailed", 5},\
    {"Jr3InitFailed", 6},\
    {"SensorError", 7},\
    {"FORCE_ERROR", 8},\
}

#ifdef __cplusplus
extern "C" {
#endif

extern int forceRecordH2errMsgs(void);

#ifdef __cplusplus
}
#endif


/*-------------------------- end file loading ---------------------------*/
#endif
